Bug 139288 - Diskdruid does not modify partition type when formatting
Diskdruid does not modify partition type when formatting
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-14 18:11 EST by Lance Kujala
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-28 09:17:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lance Kujala 2004-11-14 18:11:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
Partitioned 120GB HDD in Win2000 SP4;
created a number of empty partitions for use by Linux;
during FC3 setup, use DiskDruid to pick the FS (ext3) and format the
partitions created by Win2K (3 primary, 1 extended, 6 logical);
install goes OK...
reboot;
GRUB does not recognize the file system on the FC3 partitions;
can not boot FC3.

So I dig around a bit... 

The partitions created by Win2000 are given a type of 0x6;
DiskDruid accepts this and does NOT change the type to 0x83 when
formatting partition with ext3.

Work Around:
- use partition editor (powerquest) to change partition type from 0x6
to 0x83
- GRUB is happy again

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Partition disk using Win2000/WinXP; do not format; do not assign
drive letter;
2. Use PartitionMagic (or something similar) to view partition type
flags (partition type 0x6)
3. Install FC3; in DiskDruid select existing partition (unformatted)
and select the file system (ext2/ext3); continue with install;
4. After install use Partition Magic to view partition type flags again.
    

Expected Results:  When formatting the partition, the partition type
flags should be updated to match the file system.

Additional info:
Comment 1 Jeremy Katz 2004-11-15 10:29:42 EST
Does this work correctly if instead of formatting an existing
partition, you leave a free space and then create the partition in
that free space?  
Comment 2 Lance Kujala 2004-11-15 12:28:22 EST
What I originally tried (with DiskDruid) was:
- delete 2 existing partions (hdh7, hdh8)
- recreate new partions...
but the new partitions were numbered (hdh11, hdh12) so I bailed on 
the install and used WinXP to delete and recreate the partitions.

It looks like DD does not "backfill" the partition numbers correctly.

To answer your question, that is the path I started on, but never 
actually got to formatting the partition. So, no idea.
Comment 3 Chris Lumens 2005-09-23 13:52:36 EDT
Please try upgrading to the latest release and seeing if you still experience
problems.
Comment 4 John Thacker 2006-04-28 09:17:55 EDT
No response from reporter.  FC3 is the responsibility of Fedora Legacy, 
and this is not a security issue.
If it can be reproduced on FC4 or FC5, please reopen.

Note You need to log in before you can comment on or make changes to this bug.